petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSPAI

Use the Sparse Approximate Inverse method of Grote and Barnard as a preconditioner (SIAM J. Sci. Comput.; vol 18, nr 3)

### Options Database Keys

| -pc_spai_epsilon <eps> | - set tolerance Many br
| -pc_spai_nbstep <n> | - set nbsteps Many br
| -pc_spai_max <m> | - set max Many br
| -pc_spai_max_new <m> | - set maxnew Many br
| -pc_spai_block_size <n> | - set block size Many br
| -pc_spai_cache_size <n> | - set cache size Many br
| -pc_spai_sp <m> | - set sp Many br
| -pc_spai_set_verbose <true,false> | - verbose output Many br

Notes: This only works with AIJ matrices. Many br

Many br

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCSPAISetEpsilon(), PCSPAISetMax(), PCSPAISetMaxNew(), PCSPAISetBlockSize(), Many brPCSPAISetVerbose(), PCSPAISetSp() Many br

Level:beginner
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages